Index: src/Actions/MoleculeAction/FillVoidWithMoleculeAction.cpp
===================================================================
--- src/Actions/MoleculeAction/FillVoidWithMoleculeAction.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
+++ src/Actions/MoleculeAction/FillVoidWithMoleculeAction.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -21,14 +21,13 @@
 
 #include "atom.hpp"
-#include "Graph/BondGraph.hpp"
-#include "Tesselation/boundary.hpp"
 #include "CodePatterns/Verbose.hpp"
-#include "config.hpp"
 #include "Descriptors/MoleculeIdDescriptor.hpp"
 #include "Descriptors/MoleculeOrderDescriptor.hpp"
+#include "Graph/BondGraph.hpp"
 #include "molecule.hpp"
 #include "MoleculeListClass.hpp"
 #include "Parser/FormatParserInterface.hpp"
 #include "Parser/FormatParserStorage.hpp"
+#include "Tesselation/boundary.hpp"
 #include "World.hpp"
 
Index: src/Actions/MoleculeAction/FillWithMoleculeAction.cpp
===================================================================
--- src/Actions/MoleculeAction/FillWithMoleculeAction.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
+++ src/Actions/MoleculeAction/FillWithMoleculeAction.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -21,14 +21,13 @@
 
 #include "atom.hpp"
-#include "Graph/BondGraph.hpp"
-#include "Tesselation/boundary.hpp"
 #include "CodePatterns/Verbose.hpp"
-#include "config.hpp"
 #include "Descriptors/MoleculeIdDescriptor.hpp"
 #include "Descriptors/MoleculeOrderDescriptor.hpp"
+#include "Graph/BondGraph.hpp"
 #include "molecule.hpp"
 #include "MoleculeListClass.hpp"
 #include "Parser/FormatParserInterface.hpp"
 #include "Parser/FormatParserStorage.hpp"
+#include "Tesselation/boundary.hpp"
 #include "World.hpp"
 
Index: src/Actions/MoleculeAction/SaveAdjacencyAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveAdjacencyAction.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
+++ src/Actions/MoleculeAction/SaveAdjacencyAction.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -20,14 +20,12 @@
 #include "CodePatterns/MemDebug.hpp"
 
-#include "Graph/BondGraph.hpp"
-#include "config.hpp"
-#include "CodePatterns/Log.hpp"
-#include "molecule.hpp"
-#include "CodePatterns/Verbose.hpp"
-#include "World.hpp"
-
 #include <iostream>
 #include <fstream>
 #include <string>
+
+#include "CodePatterns/Log.hpp"
+#include "Graph/BondGraph.hpp"
+#include "molecule.hpp"
+#include "World.hpp"
 
 #include "Actions/MoleculeAction/SaveAdjacencyAction.hpp"
Index: src/Actions/MoleculeAction/SaveBondsAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveBondsAction.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
+++ src/Actions/MoleculeAction/SaveBondsAction.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -20,14 +20,12 @@
 #include "CodePatterns/MemDebug.hpp"
 
-#include "Graph/BondGraph.hpp"
-#include "config.hpp"
-#include "CodePatterns/Log.hpp"
-#include "molecule.hpp"
-#include "CodePatterns/Verbose.hpp"
-#include "World.hpp"
-
 #include <iostream>
 #include <fstream>
 #include <string>
+
+#include "CodePatterns/Log.hpp"
+#include "Graph/BondGraph.hpp"
+#include "molecule.hpp"
+#include "World.hpp"
 
 #include "Actions/MoleculeAction/SaveBondsAction.hpp"
Index: src/Actions/MoleculeAction/SuspendInWaterAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SuspendInWaterAction.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
+++ src/Actions/MoleculeAction/SuspendInWaterAction.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -20,8 +20,6 @@
 #include "CodePatterns/MemDebug.hpp"
 
+#include "CodePatterns/Log.hpp"
 #include "Tesselation/boundary.hpp"
-#include "config.hpp"
-#include "CodePatterns/Log.hpp"
-#include "CodePatterns/Verbose.hpp"
 #include "World.hpp"
 
@@ -30,4 +28,6 @@
 
 #include "Actions/MoleculeAction/SuspendInWaterAction.hpp"
+
+class config;
 
 using namespace MoleCuilder;
